Package io.dapr.v1

# Interface DaprProtos.DecryptResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.DecryptResponse`, `DaprProtos.DecryptResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.DecryptResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`CommonProtos.StreamPayload`
`getPayload()`
Chunk of data.
`CommonProtos.StreamPayloadOrBuilder`
`getPayloadOrBuilder()`
Chunk of data.
`boolean`
`hasPayload()`
Chunk of data.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasPayload

boolean hasPayload()

     Chunk of data.

`.dapr.proto.common.v1.StreamPayload payload = 1;`

Returns:
  Whether the payload field is set.

### getPayload

CommonProtos.StreamPayload getPayload()

     Chunk of data.

`.dapr.proto.common.v1.StreamPayload payload = 1;`

Returns:
  The payload.

### getPayloadOrBuilder

CommonProtos.StreamPayloadOrBuilder getPayloadOrBuilder()

     Chunk of data.

`.dapr.proto.common.v1.StreamPayload payload = 1;`